2026-07-15 15:13:23 UTC
127 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:c7288023ded975bbfebf94654b2abd0529e40b52fa589ee42fa73afc0e6c0670 - 26.21% (33.3 MB)
[#001] sha256:337193ccf80956ea532d51a4c2f27fce0c76e4d67260daea9a9e228659517e32 - 2.96% (3.76 MB)
[#002] sha256:33e2a879ad0619512e5cc7610e98dba3849cb4b6c1042c2e19c64ee848c8e798 - 0.01% (9.5 KB)
[#003] sha256:c091f97424078829b00defa67136f5cff5c18bd55a5237106aa8e8bdcb8c1fbf - 0.0% (606 Bytes)
[#004] sha256:d1d9630f838f49725ae7ed1737bf32d09293672cf3eea28a12fc913e198d2e81 - 0.0% (613 Bytes)
[#005] sha256:d055560b8b4a0e8a2087d76204136a697cc869eb80e8ad3157fb2c726e59b259 - 56.36% (71.6 MB)
[#006] sha256:0c3ec655401afbdfe23c04b4bb1c51d601303137e8e51a29c3d4d412244d92ef - 0.0% (122 Bytes)
[#007] sha256:b43750178eb27c01e7b084d49dcfc6691dbf694a5984d7eb9a207349060b8036 - 0.0% (5.42 KB)
[#008] sha256:50dcb11beba518744a9230433cd06784bc7d0b022441dd74622819665dd921ff - 0.17% (226 KB)
[#009] sha256:92196b61094c942eab7382ff2f4124cb460659c8ea4fddfeb99a45c523f74d01 - 0.0% (515 Bytes)
[#010] sha256:44587e5f654c2ddeeec3b32cd372d3d7f1d8eef04cb1214b2953d41f67af8239 - 0.0% (1.12 KB)
[#011] sha256:4bca40e6e32e9d0de19ec24ed5a9f61683a33a084b17840fe1f13410848792c7 - 14.28% (18.1 MB)
[#012] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi10-minimal-container" name="ubi10/ubi-minimal" version="10.2" cpe="cpe:/o:redhat:enterprise_linux:10.2" distribution-scope="public"
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 10."
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 10 Minimal"
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel10"
2026-07-15 05:52:21 UTC/bin/sh -c #(nop) ENV container oci
2026-07-15 05:52:22 UTC/bin/sh -c #(nop) COPY dir:e80ceae0f38fed255e475d6f3c857d9cc653b611388172a20e2345e2608f2c11 in /
2026-07-15 05:52:22 UTC/bin/sh -c #(nop) COPY file:5de33b5fc08b00635bccf9134a18978dba13e2250aa51838f9969515a3957847 in /etc/yum.repos.d/.
2026-07-15 05:52:22 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-07-15 05:52:23 UTC/bin/sh -c #(nop) COPY dir:fcea21daaad748df5672e8517505782b30d2c53d6febb830378b77388dd947d6 in /usr/share/buildinfo/
2026-07-15 05:52:23 UTC/bin/sh -c #(nop) COPY dir:fcea21daaad748df5672e8517505782b30d2c53d6febb830378b77388dd947d6 in /root/buildinfo/
2026-07-15 05:52:23 UTC/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-07-15T05:48:52Z" "org.opencontainers.image.revision"="22a25e811ff1a9703d8503438dc3c6045cbaaf7e" "build-date"="2026-07-15T05:48:52Z" "architecture"="x86_64" "vcs-ref"="22a25e811ff1a9703d8503438dc3c6045cbaaf7e" "vcs-type"="git" "release"="1784094212"org.opencontainers.image.created=2026-07-15T05:48:52Z,org.opencontainers.image.revision=22a25e811ff1a9703d8503438dc3c6045cbaaf7e
2026-07-15 15:13:05 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install findutils shadow-utils ca-certificates gawk libcap xz tar && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-07-15 15:13:05 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2026-07-15T15:06:26Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.4.4 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=45b2d3821c3ff0da055e025ec16a126c27423462 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-07-15T15:06:26Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.4.4 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2026-07-15 15:13:05 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2026-07-15 15:13:05 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-07-15 15:13:05 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2026-07-15 15:13:05 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2026-07-15 15:13:06 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2026-07-15 15:13:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2026-07-15 15:13:17 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2026-07-15 15:13:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2026-07-15 15:13:17 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2026-07-15 15:13:17 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2026-07-15 15:13:17 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2026-07-15 15:13:18 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2026-07-15 15:13:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-07-15 15:13:23 UTC (buildkit.dockerfile.v0)USER 1000
2026-07-15 15:13:23 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2026-07-15 15:13:23 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2026-07-15 15:13:23 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2026-07-15 15:13:23 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.